﻿using CPF;
using CPF.Controls;
using System;

namespace ClassLibrary1
{
    public class MainView : Control
    {
        protected override void InitializeComponent()
        {
            Root.LoadStyleFile("res://ClassLibrary1/Stylesheet1.css");
            Background = "#FFFFFF";
            Width = 387;
            Height = 464;
            Children.Add(new Button
            {
                MarginTop = 42,
                Commands =
                {
                    {
                        nameof(Button.Click),
                        nameof(ClickTest),
                        this,
                        CommandParameter.EventSender,
                        CommandParameter.EventArgs
                    },
                },
                Height = 31,
                Width = 72,
                Content = "Button",
            });
            Children.Add(new TextBox
            {
                MarginTop = 116,
                Classes = "singleLine",
                Height = 32,
                Width = 170,
            });
        }
        void ClickTest(CpfObject obj, RoutedEventArgs eventArgs)
        {
            new Window1().Show();
        }
    }
}
