﻿using Android.App;
using Android.OS;
using Android.Runtime;
using AndroidX.AppCompat.App;
using CPF.Platform;

namespace CpfAndroidTest
{
    [Activity(Label = "@string/app_name", Theme = "@style/AppTheme", MainLauncher = true)]
    public class MainActivity : CPF.Android.CpfActivity
    {
        static MainActivity()
        {
            CPF.Platform.Application.Initialize((OperatingSystemType.Android, new CPF.Android.AndroidPlatform(), new CPF.Skia.SkiaDrawingFactory { ClearType = true,UseGPU=true }));
        }

        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);
            Xamarin.Essentials.Platform.Init(this, savedInstanceState);
            // Set our view from the "main" layout resource
            SetContentView(new CPF.Android.CpfView(new ClassLibrary1.MainView()));
        }
        public override void OnRequestPermissionsResult(int requestCode, string[] permissions, [GeneratedEnum] Android.Content.PM.Permission[] grantResults)
        {
            Xamarin.Essentials.Platform.OnRequestPermissionsResult(requestCode, permissions, grantResults);

            base.OnRequestPermissionsResult(requestCode, permissions, grantResults);
        }
    }
}